# Interface ExpandListener

All Known Implementing Classes:
  `ExpandAdapter`

public interface ExpandListener
Classes which implement this interface provide methods that deal with the expanding and collapsing of `ExpandItem`s.

After creating an instance of a class that implements this interface it can be added to a `ExpandBar` control using the `addExpandListener` method and removed using the `removeExpandListener` method. When a item of the `ExpandBar` is expanded or collapsed, the appropriate method will be invoked.

Since:
  1.2
See Also:
  - `ExpandAdapter`
  - `ExpandEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`itemCollapsed(ExpandEvent e)`
Sent when an item is collapsed.
`static ExpandListener`
`itemCollapsedAdapter(Consumer<ExpandEvent> c)`
Static helper method to create a `ExpandListener` for the `itemCollapsed(ExpandEvent e)`) method, given a lambda expression or a method reference.
`void`
`itemExpanded(ExpandEvent e)`
Sent when an item is expanded.
`static ExpandListener`
`itemExpandedAdapter(Consumer<ExpandEvent> c)`
Static helper method to create a `ExpandListener` for the `itemExpanded(ExpandEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### itemCollapsed

void itemCollapsed(ExpandEvent e)
Sent when an item is collapsed.

Parameters:
  `e` - an event containing information about the operation

### itemExpanded

void itemExpanded(ExpandEvent e)
Sent when an item is expanded.

Parameters:
  `e` - an event containing information about the operation

### itemCollapsedAdapter

static ExpandListener itemCollapsedAdapter(Consumer<ExpandEvent> c)
Static helper method to create a `ExpandListener` for the `itemCollapsed(ExpandEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ExpandListener
Since:
  4.1

### itemExpandedAdapter

static ExpandListener itemExpandedAdapter(Consumer<ExpandEvent> c)
Static helper method to create a `ExpandListener` for the `itemExpanded(ExpandEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ExpandListener
Since:
  4.1